summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur She <arthur.she@linaro.org>2017-11-01 21:02:29 -0700
committerArthur She <arthur.she@linaro.org>2017-11-01 21:02:29 -0700
commit99647de97be0f3b2928b33d2f49840ac7ed06ce1 (patch)
tree200a8880d82026940eb98a0e747672202e5b6616
parent7329d4d4a20036644655e0982316526f7b103767 (diff)
Run openembedded/scripts/weston-test.sh in weston-status.yaml
-rwxr-xr-xopenembedded/scripts/weston-test.sh13
-rw-r--r--openembedded/weston-status.yaml7
2 files changed, 16 insertions, 4 deletions
diff --git a/openembedded/scripts/weston-test.sh b/openembedded/scripts/weston-test.sh
new file mode 100755
index 0000000..d1a542c
--- /dev/null
+++ b/openembedded/scripts/weston-test.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+echo "Running weston-simple-egl"
+/usr/bin/weston-simple-egl &
+pid=$!
+sleep 10
+ps aux|grep weston-simple-eg[l]
+if [ $? -eq 0 ];then
+ echo "weston-simple-egl pass"
+ kill -9 $pid
+else
+ echo "weston-simple-egl fail"
+fi
diff --git a/openembedded/weston-status.yaml b/openembedded/weston-status.yaml
index 7463649..f8cfea4 100644
--- a/openembedded/weston-status.yaml
+++ b/openembedded/weston-status.yaml
@@ -15,7 +15,6 @@ metadata:
run:
steps:
- lava-test-case weston-is-present --shell ps aux|grep [w]eston
- - su; /usr/bin/weston-simple-egl &
- - pid=$! ; sleep 10
- - ps; echo "PID: $pid"
- - ps aux|grep weston-simple-egl|grep -v grep; if [ $? -eq 0 ];then echo "weston-simple-egl pass";kill -9 $pid; else echo "weston-simple-egl fail"; fi
+ - su
+ - cd openembedded/scripts
+ - ./weston-test.sh